<html lang="en"><head>
    <meta charset="utf-8">
    <title>D&amp;D 5e Character Generator</title>
    <link rel="shortcut icon" type="image/x-icon" href="./dndimages/favicon.ico">
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="css/all.min.css">
    <link rel="stylesheet" type="text/css" href="css/dnd-style.css">
    <link rel="stylesheet" type="text/css" href="css/dnd-rwd.css">
    <script src="js/jquery-3.4.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/char-gen-script.js"></script>
    <script src="js/card-script.js"></script>
	
	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async="" src="https://www.googletagmanager.com/gtag/js?id=UA-145234284-1"></script>
	<script>
	  window.dataLayer = window.dataLayer || [];
	  function gtag(){dataLayer.push(arguments);}
	  gtag('js', new Date());

	  gtag('config', 'UA-145234284-1');
	</script>

</head>

<body id="char-gen-body">
    <div class="container">
        <div id="kofiheader" style="text-align: center;">
            <br>
            <script src="https://ko-fi.com/widgets/widget_2.js"></script>
            <script>
                kofiwidget2.init('Support Me on Ko-fi', '#46b798', 'Q5Q8MRF6');
                kofiwidget2.draw();
            </script><style>img.kofiimg{display: initial!important;vertical-align:middle;height:13px!important;width:20px!important;padding-top:0;padding-bottom:0;border:none;margin-top:0;margin-right:5px;margin-left:0;margin-bottom:3px;content:url('https://ko-fi.com/img/cup-border.png')}.kofiimg:after{vertical-align:middle;height:25px;padding-top:0;padding-bottom:0;border:none;margin-top:0;margin-right:6px;margin-left:0;margin-bottom:4px!important;content:url('https://ko-fi.com/img/whitelogo.svg')}.btn-container{display:inline-block!important;white-space:nowrap;min-width:160px}span.kofitext{color:#fff !important;letter-spacing: -0.15px!important;text-wrap:none;vertical-align:middle;line-height:33px !important;padding:0;text-align:center;text-decoration:none!important; text-shadow: 0 1px 1px rgba(34, 34, 34, 0.05);}.kofitext a{color:#fff !important;text-decoration:none:important;}.kofitext a:hover{color:#fff !important;text-decoration:none}a.kofi-button{box-shadow: 1px 1px 0px rgba(0, 0, 0, 0.2);line-height:36px!important;min-width:150px;display:inline-block!important;background-color:#29abe0;padding:2px 12px !important;text-align:center !important;border-radius:7px;color:#fff;cursor:pointer;overflow-wrap:break-word;vertical-align:middle;border:0 none #fff !important;font-family:'Quicksand',Helvetica,Century Gothic,sans-serif !important;text-decoration:none;text-shadow:none;font-weight:700!important;font-size:14px !important}a.kofi-button:visited{color:#fff !important;text-decoration:none !important}a.kofi-button:hover{opacity:.85;color:#f5f5f5 !important;text-decoration:none !important}a.kofi-button:active{color:#f5f5f5 !important;text-decoration:none !important}.kofitext img.kofiimg {height:15px!important;width:22px!important;display: initial;}</style><link href="https://fonts.googleapis.com/css?family=Quicksand:400,700" rel="stylesheet" type="text/css"><div class="btn-container"><a title="Support me on ko-fi.com" class="kofi-button" style="background-color:#46b798;" href="https://ko-fi.com/Q5Q8MRF6" target="_blank"> <span class="kofitext"><img src="https://ko-fi.com/img/cup-border.png" class="kofiimg">Support Me on Ko-fi</span></a></div>

        </div>
        <div class="content">
            <div style="text-align: center;"><a href="dnd-reference.html">PC Options Reference</a> - <b>Character Generator</b> - <a href="dnd-magic-items.html">Magic Item Generator</a> - <a href="dnd-statblock.html">Statblock Generator</a></div><br>
            <h1>D&amp;D 5e Random Character Generator</h1>
            <br>
            <div>Select which books to use:</div>
            <br>
            <div class="booklist row">
                <div class="col-12 col-md-6">
                    <div><label><b><input id="PHBbox" type="checkbox" disabled="" checked=""> Player's Handbook</b></label></div>
                    <div><label><b><input id="EEbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Elemental Evil Player's Companion</b></label></div>
                    <div><label><b><input id="SCAGbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Sword Coast Adventurer's Guide</b></label></div>
                    <div><label><b><input id="VGtMbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Volo's Guide to Monsters</b></label></div>
                    <div><label><b><input id="MRbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Volo's Guide (Monstrous Races)</b></label></div>
                    <div><label><b><input id="XGtEbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Xanathar's Guide to Everything</b></label></div>
                    <div><label><b><input id="MToFbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Mordenkainen's Tome of Foes</b></label></div>
                </div>
                <div class="col-12 col-md-6">
                    <div><label><b><input id="GGtRbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Guildmaster's Guide to Ravnica</b></label></div>
                    <div><label><b><input id="Otherbox" type="checkbox" onclick="Dropdowns.Update()" checked=""> Other Content</b></label></div>
                    <div><label><b><input id="DMGbox" type="checkbox" onclick="Dropdowns.Update()"> Dungeon Master's Guide</b></label></div>
                    <div><label><b><input id="WGtEbox" type="checkbox" onclick="Dropdowns.Update()"> Wayfinder's Guide to Eberron</b></label></div>
                    <div><label><b><input id="UAbox" type="checkbox" onclick="Dropdowns.Update()"> Unearthed Arcana</b></label></div>
                    <div><label><b><input id="Unofficialbox" type="checkbox" onclick="Dropdowns.Update()"> Notable Unofficial Content</b></label></div>
                </div>
            </div>

            <hr>

            <div style="text-align: center;">
                <button type="button" onclick="Generate.All()">Generate Character</button>
                <button type="button" onclick="CardType.Set()">Randomize Card</button>
                <br><br>
                <div id="cardcontainer">
                    <canvas id="canvas" width="612" height="792"></canvas>
                    <div><a id="sourcelink" href="https://www.behance.net/gallery/339268/Character-Art">Character Art Source</a><br></div>
                </div>
                <div id="plaintext" style="display: none;">
                    <textarea rows="50" cols="40" id="textarea" readonly=""></textarea>
                </div>
                <br>
				<div id="recent-characters" style="">
					<label>
						Recent Characters:
						<select class="dropdown" id="recent-characters-dropdown" style="width: 20rem;"><option value="">-Select-</option><option value="0">Eldeth Silveraxe, Dwarf Warlock</option><option value="1">Keros Pumanath, Triton Warlock</option><option value="2">Taman Brightwood, Aasimar Warlock</option><option value="3">Taman Brightwood, Aasimar Warlock</option><option value="4">Taman Brightwood, Aasimar Warlock</option><option value="5">Taman Brightwood, Aasimar Warlock</option><option value="6">Chi Horineth, Half-Elf Wizard</option></select>
					</label>
					<button type="button" onclick="Characters.LoadFromDropdown()">Load</button>
				</div>
            </div>

            <hr>

            <div class="row radio-row">
                <div class="col-12 col-sm-6 col-lg-3">
                    <b>Show:</b>
                    <div><label><input id="personality-radio" type="radio" name="show-button" onclick="CardType.Set()" checked=""> Personality </label></div>
                    <div><label><input id="characteristics-radio" type="radio" name="show-button" onclick="CardType.Set()"> Characteristics </label></div>
                    <div><label><input id="empty-radio" type="radio" name="show-button" onclick="CardType.Set()"> Empty Card </label></div>
                    <div><label><input id="plaintext-radio" type="radio" name="show-button" onclick="CardType.Set()"> Plain Text </label></div>
                    <br>
                </div>
                <div class="col-12 col-sm-6 col-lg-3">
                    <b>Character Type:</b>
                    <div><label><input id="either-radio" type="radio" name="character-type-button" onclick="CharacterType.Get()" checked=""> Either </label></div>
                    <div><label><input id="pc-radio" type="radio" name="character-type-button" onclick="CharacterType.Get()"> Adventurer </label></div>
                    <div><label><input id="npc-radio" type="radio" name="character-type-button" onclick="CharacterType.Get()"> Civilian </label></div>
                    <br>
                </div>
                <div class="col-12 col-sm-6 col-lg-3">
                    <b>Race Randomizer:</b>
                    <div><label><input id="normal-radio" type="radio" name="race-randomizer-button" checked=""> Normal </label></div>
                    <div><label><input id="weighted-radio" type="radio" name="race-randomizer-button"> Weighted </label></div>
                    <div><label><input id="15x-weighted-radio" type="radio" name="race-randomizer-button"> Weighted x1.5 </label></div>
                    <div><label><input id="20x-weighted-radio" type="radio" name="race-randomizer-button"> Weighted x2 </label></div>
                    <br>
                </div>
                <div class="col-12 col-sm-6 col-lg-3">
                    <b>Human Ethnicities:</b>
                    <div><label><input id="standard-radio" type="radio" name="ethnicity-button" checked=""> Standard </label></div>
                    <div><label><input id="real-radio" type="radio" name="ethnicity-button"> Real </label></div>
                    <div><label><input id="both-radio" type="radio" name="ethnicity-button"> Both </label></div>
                    <br>
                </div>
            </div>

            <hr>

            <div style="text-align: center;">
                <button class="lock-button" id="all-lock-button" style="width: 4rem;" onclick="LockFunctions.TryLockAll()"><i class="fas fa-lock"></i> All</button>
                <button class="lock-button" id="none-lock-button" style="width: 4rem;" onclick="LockFunctions.TryUnlockAll()"><i class="fas fa-lock-open"></i> All</button>
                <br>
                <button type="button" onclick="Generate.All()">Generate Character</button>
            </div>
            <br>
            <h2 id="name">Eldeth Silveraxe</h2>
            <ul>
                <li><b>Race:</b> <span id="race">Dwarf</span></li>
                <li><b>Gender:</b> <span id="gender">Female</span></li>
                <li class="pc-show"><b>Class:</b> <span id="class">Warlock</span></li>
                <li class="pc-show"><b>Background:</b> <span id="background">Sage</span></li>
                <li class="npc-show"><b>Occupation:</b> <span id="occupation">Artisan or guild member</span></li>
                <li class="npc-show"><b>Description:</b>
                    <ul id="npc-traits-section"><li><b>Appearance</b>: Piercings</li><li><b>High Ability</b>: Charisma-persuasive, forceful, born leader</li><li><b>Low Ability</b>: Dexterity-clumsy, fumbling</li><li><b>Talent</b>: Unbelievably lucky</li><li><b>Mannerism</b>: Whispers</li><li><b>Interaction Trait</b>: Honest</li><li><b>Values</b>: Change (Chaotic), Out for revenge</li><li><b>Flaw or Secret</b>: Arrogance</li></ul>
                </li>
            </ul>
			
            <br>
            <hr>
			

            <div style="text-align: center;">
			
				<div class="npc-show row" style=" max-width: 30rem; margin: auto;">
					<div class="col-12 col-sm-6">
						<button class="lock-button" id="traits-lock-button" onclick="LockFunctions.TryLock('traits')"><i class="fas fa-lock-open"></i></button>
						<button type="button" onclick="Generate.NPCTraitsInput()">Generate Description</button>
					</div>
					<div class="col-12 col-sm-6">
						<button class="lock-button" id="occupation-lock-button" onclick="LockFunctions.TryLock('occupation')"><i class="fas fa-lock-open"></i></button>
						<button type="button" onclick="Generate.OccupationInput()">Generate Occupation</button>
					</div>
				</div>
				
                <div>
					<br class="small-only-br">
					<div style="width: 100%">
						<label for="name-input"><b>Name: </b></label><input id="name-input" type="text" placeholder="Random" style="max-width: 20rem;">
						<button type="button" onclick="Generate.NameInput()">Generate</button>
					</div>
					<br class="small-only-br">
					<div>
						<label for="gendermenu"><b>Gender: </b></label>
						<br class="small-only-br">
						<select class="dropdown" id="gendermenu">
							<option value="Random">Random</option>
							<option value="Male">Male</option>
							<option value="Female">Female</option>
							<option value="Nonbinary or Unknown">Nonbinary or Unknown</option>
						</select>
						<button type="button" onclick="Generate.GenderInput()">Generate</button>
					</div>
                </div>
				<br>
                <h3>Gender: <span id="genderheader">Female</span></h3>
				
            </div>
			
            <div id="character-columns" class="row">
                <div class="col-12 col-lg-4 pc-show" id="class-section">
                    <div style="text-align: center;">
                        <label for="classmenu">
                            <b>Class: </b>
                        </label>
                        <br class="sometimes-br">
                        <button class="lock-button" id="class-lock-button" onclick="LockFunctions.TryLock('class')"><i class="fas fa-lock-open"></i></button>
                        <select class="dropdown" id="classmenu"><option value="Random">Random</option><option value="Barbarian">Barbarian</option><option value="Bard">Bard</option><option value="Cleric">Cleric</option><option value="Druid">Druid</option><option value="Fighter">Fighter</option><option value="Monk">Monk</option><option value="Paladin">Paladin</option><option value="Ranger">Ranger</option><option value="Rogue">Rogue</option><option value="Sorcerer">Sorcerer</option><option value="Warlock">Warlock</option><option value="Wizard">Wizard</option></select>
                        <button type="button" onclick="Generate.ClassInput()">Generate</button>
                        <br><br>
                    </div>
                    <h3>Class: <span id="classheader">Warlock</span></h3>
                    <ul id="classsection"><li><b>Otherworldly Patron</b>: The Fiend</li><li><b> Personality</b>:<ul><li><b>Patron Attitudes</b>: Each interaction with your capricious patron is a surprise, whether pleasant or painful.</li><li><b>Binding Mark</b>: Your tongue is an unnatural color.</li><li><b>Became a warlock because</b>: My future patron visited me in my dreams and offered great power in exchange for my service.</li></ul></li></ul>
                    <br>
                </div>
                <div class="col-12 col-lg-4" id="race-section">
                    <div style="text-align: center;">
                        <label for="racemenu">
                            <b>Race: </b>
                        </label>
                        <br class="sometimes-br">
                        <button class="lock-button" id="race-lock-button" onclick="LockFunctions.TryLock('race')"><i class="fas fa-lock-open"></i></button>
                        <select class="dropdown" id="racemenu"><option value="Random">Random</option><option value="Aasimar">Aasimar</option><option value="Bugbear">Bugbear</option><option value="Dragonborn">Dragonborn</option><option value="Dwarf">Dwarf</option><option value="Elf">Elf</option><option value="Firbolg">Firbolg</option><option value="Gnome">Gnome</option><option value="Goblin">Goblin</option><option value="Goliath">Goliath</option><option value="Halfling">Halfling</option><option value="Half-Elf">Half-Elf</option><option value="Half-Orc">Half-Orc</option><option value="Hobgoblin">Hobgoblin</option><option value="Human">Human</option><option value="Kenku">Kenku</option><option value="Kobold">Kobold</option><option value="Lizardfolk">Lizardfolk</option><option value="Orc">Orc</option><option value="Tabaxi">Tabaxi</option><option value="Tiefling">Tiefling</option><option value="Triton">Triton</option><option value="Yuan-Ti Pureblood">Yuan-Ti Pureblood</option></select>
                        <button type="button" onclick="Generate.RaceInput()">Generate</button>
                        <br><br>
                    </div>
                    <h3>Race: <span id="raceheader">Dwarf</span></h3>
                    <ul id="racesection"><li><b> Subraces and Variants</b>:<ul><li><b>Subrace</b>: Mountain Dwarf</li></ul></li><li><b> Physical Characteristics</b>:<ul><li><b>Age</b>: 253 years</li><li><b>Height</b>: 4'2"</li><li><b>Weight</b>: 142 lbs.</li><li><b>Eyes</b>: Brown</li><li><b>Skin</b>: Brown</li><li><b>Hair</b>: Brown</li></ul></li></ul>
                    <br>
                </div>
                <div class="col-12 col-lg-4 pc-show" id="background-section">
                    <div style="text-align: center;">
                        <label for="backgroundmenu">
                            <b>Background: </b>
                        </label>
                        <br class="sometimes-br">
                        <button class="lock-button" id="background-lock-button" onclick="LockFunctions.TryLock('background')"><i class="fas fa-lock-open"></i></button>
                        <select class="dropdown" id="backgroundmenu"><option value="Random">Random</option><option value="Acolyte">Acolyte</option><option value="Charlatan">Charlatan</option><option value="Criminal">Criminal</option><option value="Entertainer">Entertainer</option><option value="Folk Hero">Folk Hero</option><option value="Guild Artisan">Guild Artisan</option><option value="Hermit">Hermit</option><option value="Noble">Noble</option><option value="Outlander">Outlander</option><option value="Sage">Sage</option><option value="Sailor">Sailor</option><option value="Soldier">Soldier</option><option value="Urchin">Urchin</option></select>
                        <button type="button" onclick="Generate.BackgroundInput()">Generate</button>
                        <br><br>
                    </div>
                    <h3>Background: <span id="backgroundheader">Sage</span></h3>
                    <ul id="backgroundsection"><li><b>Trait</b>: I'm used to helping out those who aren't as smart as I am, and I patiently explain anything and everything to others.</li><li><b>Ideal</b>: Beauty. What is beautiful points us beyond itself toward what is true. (Good)</li><li><b>Bond</b>: I've been searching my whole life for the answer to a certain question.</li><li><b>Flaw</b>: I overlook obvious solutions in favor of complicated ones.</li><li><b>Specialty</b>: Scribe</li><li><b>Became a sage because</b>: I impressed a wizard who told me I was squandering my talents and should seek out an education to take advantage of my gifts.</li></ul>
                    <br>
                </div>
            </div>

            <hr>
            <div>
                <h3 style="display: inline; margin-right: 30px;">Life:</h3>
                <button class="lock-button" id="life-lock-button" onclick="LockFunctions.TryLock('life')"><i class="fas fa-lock-open"></i></button>
                <button type="button" onclick="Generate.LifeInput()">Generate</button><br><br>
                <ul id="lifesection" style="min-height: 45rem;"><li><b>Alignment</b>: Lawful Evil</li><li><b> Origin</b>:<ul><li><b>Birthplace</b>: Barn, shed, or other outbuilding</li><li><b>Absent Parent(s)</b>: Your parent(s) abandoned you</li><li><b>Family Lifestyle</b>: Modest</li><li><b>Childhood Home</b>: Small house</li><li><b>Childhood Memories</b>: I had a few close friends and lived an ordinary childhood.</li><li><b> Siblings</b>:<ul><li><b> Hlin</b>:<ul><li><b>Gender</b>: Female</li><li><b>Race</b>: Dwarf</li><li><b>Alignment</b>: Lawful Neutral</li><li><b>Occupation</b>: Soldier</li><li><b>Status</b>: Alive and well</li><li><b>Relationship</b>: Friendly</li><li><b>Birth Order</b>: Younger</li></ul></li></ul></li></ul></li><li><b> Life Events</b>:<ul><li><b>Friend</b>: You made a friend of a(n) human warlock.</li><li><b>War</b>: You survived a battle, but you suffer from terrible nightmares in which you relive the experience.</li><li><b>Supernatural Event</b>: You witnessed a falling red star, a face appearing in the frost, or some other bizarre happening. You are certain that it was an omen of some sort.</li></ul></li><li><b>Trinket</b>: A silver skull the size of a coin</li></ul>
                <br>
                <sub>Refer to Xanathar's Guide (starting on page 61) for supplementary tables.</sub>
            </div>
            <div class="footer"><a href="https://github.com/Tetra-cube/Tetra-cube.github.io">GitHub Repo</a></div>
        </div>
    </div>


</body></html>
